X2Go Bug report logs - #1011
Add option to grab keyboard input (Alt-Tab) in windowed mode

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: sebastian.loncar@gmail.com

Date: Sat, 19 Mar 2016 00:40:01 UTC

Severity: wishlist

Found in version 4.0.5.1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1011; Package x2goclient. (Sat, 19 Mar 2016 00:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to sebastian.loncar@gmail.com:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 19 Mar 2016 00:40:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Sebastian Loncar <sebastian.loncar@gmail.com>
To: submit@bugs.x2go.org
Subject: Add option to grab keyboard input (Alt-Tab) in windowed mode
Date: Sat, 19 Mar 2016 01:34:59 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.5.1
Severity: wishlist

When in windowed mode (not full screen), and the window has the focus and
the mouse over the window, please add an option to grab the keyboard input
(for ALT-TAB within the remote session, not on the host).

As example, this is implemented in xFreeRDP and properitary Microsoft
Terminal Server Client (just as an example, i do not use Windows) and is
very very useful.

I'm using XFCE4 on Arch Linux (server and client)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1011; Package x2goclient. (Sun, 05 Mar 2017 11:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sebastian.loncar@gmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 05 Mar 2017 11:40:03 GMT) Full text and rfc822 format available.

Message #10 received at 1011@bugs.x2go.org (full text, mbox):

From: Sebastian Loncar <sebastian.loncar@gmail.com>
To: 1011@bugs.x2go.org
Subject: Feedback
Date: Sun, 5 Mar 2017 12:38:32 +0100
[Message part 1 (text/plain, inline)]
This issue is now 1 year old. It would be nice, if somebody could give a
short feedback if this issue wold be fixed in the future.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1011; Package x2goclient. (Sun, 05 Mar 2017 21:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 05 Mar 2017 21:00:01 GMT) Full text and rfc822 format available.

Message #15 received at 1011@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: sebastian.loncar@gmail.com, 1011@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1011: Feedback
Date: Sun, 5 Mar 2017 21:57:17 +0100
On Sun, Mar 5, 2017 at 12:38 PM, Sebastian Loncar
<sebastian.loncar@gmail.com> wrote:
> This issue is now 1 year old. It would be nice, if somebody could give a
> short feedback if this issue wold be fixed in the future.

I have not been aware of this issue before. This has to be implemented
into the nx component of x2go which is developed outside the project.
I have therefore opened a feature request there:
https://github.com/ArcticaProject/nx-libs/issues/384

However, I cannot promise you if or when it will implemented.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1011; Package x2goclient. (Wed, 08 Mar 2017 08:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 08 Mar 2017 08:55:01 GMT) Full text and rfc822 format available.

Message #20 received at 1011@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: uli42@gmx.de, 1011@bugs.x2go.org
Cc: sebastian.loncar@gmail.com
Subject: Re: [X2Go-Dev] Bug#1011: Bug#1011: Feedback
Date: Wed, 08 Mar 2017 08:49:51 +0000
[Message part 1 (text/plain, inline)]
Hi Sebastian,

On  So 05 Mär 2017 21:57:17 CET, Ulrich Sibiller wrote:

> On Sun, Mar 5, 2017 at 12:38 PM, Sebastian Loncar
> <sebastian.loncar@gmail.com> wrote:
>> This issue is now 1 year old. It would be nice, if somebody could give a
>> short feedback if this issue wold be fixed in the future.
>
> I have not been aware of this issue before. This has to be implemented
> into the nx component of x2go which is developed outside the project.
> I have therefore opened a feature request there:
> https://github.com/ArcticaProject/nx-libs/issues/384
>
> However, I cannot promise you if or when it will implemented.
>
> Uli

If you follow the discussion at [1] you can see that Uli picked up  
your suggestion and started working on this enhancement right away.

Just as a heads up... Thanks Uli!!!

Mike

[1] https://github.com/ArcticaProject/nx-libs/issues/384

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1011; Package x2goclient. (Mon, 15 May 2017 11:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to abrantespropertyconsultant@gmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 15 May 2017 11:30:02 GMT) Full text and rfc822 format available.

Message #25 received at 1011@bugs.x2go.org (full text, mbox):

From: Abrantes Amaral <humfeen@gmail.com>
To: undisclosed-recipients:;
Subject: Hola
Date: Mon, 15 May 2017 12:25:12 +0100
Hola

En una breve introducción, soy el abogado Abrantes Amaral de Portugal,
pero que actualmente vive en Londres, le he te envié un correo
electrónico sobre su pariente fallecido, pero no recibí ninguna
respuesta de usted el difunto es un ciudadano de su país con el mismo
apellido con usted, me habló de ti,

Me dirigieron a ponerse en contacto con usted a través de su primo su
pariente que murió hace pocos años y dejó a su familia y una enorme
cantidad de £ 5,700,000 libras esterlinas aquí en UBS Investment Bank
aquí en Londres soy su abogado personal y necesito su cooperación ,
Por lo que podemos transferir el dinero del banco a su cuenta antes de
ser finalmente capturado por el gobierno, le daré más detalles cuando
tenga noticias de usted.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1011; Package x2goclient. (Wed, 25 Oct 2017 01:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to <coordinatordean@yandex.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 25 Oct 2017 01:25:03 GMT) Full text and rfc822 format available.

Message #30 received at 1011@bugs.x2go.org (full text, mbox):

From: "INFO@GOOGLE.ORG"<fao@pun.unipune.ac.in>
Subject: Official Notification
Date: Tue, 24 Oct 2017 16:13:23 -0700
[Message part 1 (text/html, inline)]
[GOOGLE-1.jpg (image/jpeg, attachment)]
[GOOGLE-1.jpg (image/jpeg, attachment)]
[GOOGLE-1.jpg (image/jpeg, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1011; Package x2goclient. (Tue, 31 Oct 2017 14:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to odumconsultant@hotmail.fr:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 31 Oct 2017 14:05:02 GMT) Full text and rfc822 format available.

Message #35 received at 1011@bugs.x2go.org (full text, mbox):

From: Clement Kaku <ckaku2015@gmail.com>
To: undisclosed-recipients:;
Subject: Re: Hello Greetings From Mr.Clement,
Date: Tue, 31 Oct 2017 15:01:10 +0100
[Message part 1 (text/plain, inline)]
Tel: +228 99506494
31st of October 2017


Hello Dear,


Very Urgent Message


My names are Clement M. Kaku. I sent you this letter some time ago but I'm
not sure if you got it.  I am contacting you in respect of my late client,
an Oil and Gas Contractor who seemed to be your relative. He left behind
US$8Million  in a bank here before his death. and the deal will be shared
rate 50/50 % and it's bank to bank wire trasaction.

Could you diligently come up for this claim, I will be glad to present you
to the bank as his next of kin so that the proceed of his fund will be done
in your name i am his personal lawyer and will give you all the necessary
assistance to achieve this claim.

Your full names..........
Your private telephone...

Sincerely yours,

Clement.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1011; Package x2goclient. (Sun, 25 Mar 2018 00:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to <jefferydean1960@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 25 Mar 2018 00:10:02 GMT) Full text and rfc822 format available.

Message #40 received at 1011@bugs.x2go.org (full text, mbox):

From: "INFO@GOOGLE.ORG" <gmedford@atso.org.tr>
To: Undisclosed recipients:;
Subject: GOOD NEWS FROM LARRY PAGE GOOGLE.
Date: Sat, 24 Mar 2018 16:59:34 -0700
[Message part 1 (text/html, inline)]
[GOOGLE-1.jpg (image/jpeg, attachment)]
[GOOGLE.pdf (application/octet-stream, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Dec 12 16:24:14 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.